Nestopia Core API: Nes::Api::Cartridge::NesHeader

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Cartridge::NesHeader

struct Nes::Api::Cartridge::NesHeader

iNES header format context.

Inner Classes, Typedefs, and Enums
`enum` | `Nes::Api::Cartridge::NesHeader::Mirroring` Name-table mirroring type.
`enum` | `Nes::Api::Cartridge::NesHeader::Ppu` PPU type.
`enum` | `Nes::Api::Cartridge::NesHeader::Region` Region type.
`enum` | `Nes::Api::Cartridge::NesHeader::System` System type.

Field Summary
`dword` | `chrNvRam` Non-volatile CHR-RAM (aka V-RAM) size.
`dword` | `chrRam` volatile CHR-RAM (aka V-RAM) size.
`dword` | `chrRom` CHR-ROM size.
`ushort` | `mapper` Mapper ID.
`Nes::Api::Cartridge::NesHeader::Mirroring` | `mirroring` Name-table mirroring.
`Nes::Api::Cartridge::NesHeader::Ppu` | `ppu` PPU.
`dword` | `prgNvRam` Non-volatile PRG-RAM (aka W-RAM) size.
`dword` | `prgRam` volatile PRG-RAM (aka W-RAM) size.
`dword` | `prgRom` PRG-ROM size.
`Nes::Api::Cartridge::NesHeader::Region` | `region` Region.
`uchar` | `security` Vs System security bits.
`uchar` | `subMapper` Sub-mapper ID.
`Nes::Api::Cartridge::NesHeader::System` | `system` System.
`bool` | `trainer` Trainer.
`uchar` | `version` iNES version number.

Constructor Summary
`NesHeader()`

Method Summary
`void` | `Clear()` Clears settings.
`Result` | `Export( void* mem, ulong size ) const` Exports settings to iNES file header in memory.
`Result` | `Import( const void* mem, ulong size )` Imports settings from iNES file header in memory.

Field Detail

### chrNvRam

    public dword chrNvRam;

  Non-volatile CHR-RAM (aka V-RAM) size.

### chrRam

    public dword chrRam;

  volatile CHR-RAM (aka V-RAM) size.

### chrRom

    public dword chrRom;

  CHR-ROM size.

### mapper

    public ushort mapper;

  Mapper ID.

### mirroring

    public Nes::Api::Cartridge::NesHeader::Mirroring mirroring;

  Name-table mirroring.

### ppu

    public Nes::Api::Cartridge::NesHeader::Ppu ppu;

  PPU.

### prgNvRam

    public dword prgNvRam;

  Non-volatile PRG-RAM (aka W-RAM) size.

### prgRam

    public dword prgRam;

  volatile PRG-RAM (aka W-RAM) size.

### prgRom

    public dword prgRom;

  PRG-ROM size.

### region

    public Nes::Api::Cartridge::NesHeader::Region region;

  Region.

### security

    public uchar security;

  Vs System security bits.

### subMapper

    public uchar subMapper;

  Sub-mapper ID.

### system

    public Nes::Api::Cartridge::NesHeader::System system;

  System.

### trainer

    public bool trainer;

  Trainer.

### version

    public uchar version;

  iNES version number.

Constructor Detail

### NesHeader

    public NesHeader() throw();

Method Detail

### Clear

    public void Clear() throw();

  Clears settings.

### Export

    public Result Export( void* mem, ulong size ) const throw();

  Exports settings to iNES file header in memory.

Parameters:
  `pointer` - to iNES header at least 16 byte in size
  `size` - size of memory
Returns:
  result code

### Import

    public Result Import( const void* mem, ulong size ) throw();

  Imports settings from iNES file header in memory.

Parameters:
  `pointer` - to iNES header at least 16 byte in size
  `size` - size of memory
Returns:
  result code

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD